Description

It seems that is now possible to log the ansible activities using foreman: http://theforeman.org/plugins/foreman_ansible/0.x/index.html

simply configuring the service and installing a callback for ansible.

Related issues:

Related to D4Science Infrastructure - Task #2720: Explore rundeck as a better... Closed Mar 17, 2016

History

#1 - Mar 10, 2016 06:44 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Mar 10, 2016 08:45 PM - Andrea Dell'Amico

There's a simple role to install all the required stuff.

#3 - Mar 10, 2016 08:47 PM - Andrea Dell'Amico

- % Done changed from 0 to 20

Also to investigate:

http://code-complete.com/code/?p=40  https://github.com/ansible-semaphore/semaphore  semaphore, a basic GUI for ansible

Rundeck, http://rundeck.org/index.html but it seems that supporting ansible will not be easy.

#4 - Mar 15, 2016 09:03 PM - Andrea Dell'Amico

- % Done changed from 20 to 70

Foreman is working in some way. An ansible plugin is needed, instructions will follow.

shell.research-infrastructures.eu has the plugin already configured.

#5 - Mar 15, 2016 09:06 PM - Andrea Dell'Amico

I configured authentication against ldap, so everyone can authenticate. After the first authentication I (or another administration) can setup the correct

roles. There's not ldap groups synchronization right now.

The URL is https://cm.research-infrastructures.eu

#6 - Mar 16, 2016 12:50 PM - Andrea Dell'Amico

- File foreman_callback.py added

What's needed to enable the foreman callback on your own desktop:

1. Edit the ansible global configuration file. /etc/ansible/ansible.cfg on Linux, /opt/local/etc/ansible/ansible.cfg on OSX, to add the following line on

the defaults section (ensure that no other callback_plugins entry is present):

callback_plugins   = ~/.ansible/plugins/callback_plugins

bin_ansible_callbacks = True

1. Install the attached file as `~/.ansible/plugins/callback_plugins/foreman_callback.py

2. Install the python requests module from pip. The one provided by packages is not new enough.

3. Run ansible as usual, with a caveaut. If you are going to provision a host for the first time, a one time command is needed to add its data to
foreman:

ansible -m setup -i <inventory file> <host or group name> --ask-vault-pass

#7 - Mar 16, 2016 12:53 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

An alternative is to ask me or @tommaso.piccioli@isti.cnr.it for an access to shell.research-infrastructures.eu,  where ansible and the foreman

callback are already configured globally.

#8 - Mar 17, 2016 05:02 PM - Andrea Dell'Amico

- Related to Task #2720: Explore rundeck as a better alternative to foreman added

Files

foreman_callback.py 7.11 KB Mar 16, 2016 Andrea Dell'Amico
